com.opensymphony.xwork2.conversion.impl

## Class XWorkBasicConverter

- java.lang.Object
- - com.opensymphony.xwork2.conversion.impl.DefaultTypeConverter
  - - com.opensymphony.xwork2.conversion.impl.XWorkBasicConverter

- All Implemented Interfaces:
    TypeConverter

      public class XWorkBasicConverter
      extends DefaultTypeConverter

  XWork will automatically handle the most common type conversion for you. This includes support for converting to and from Strings for each of the following:

  - String
  - boolean / Boolean
  - char / Character
  - int / Integer, float / Float, long / Long, double / Double
  - dates - uses the SHORT format for the Locale associated with the current request
  - arrays - assuming the individual strings can be coverted to the individual items
  - collections - if not object type can be determined, it is assumed to be a String and a new ArrayList is created

  Note that with arrays the type conversion will defer to the type of the array elements and try to convert each item individually. As with any other type conversion, if the conversion can't be performed the standard type conversion error reporting is used to indicate a problem occurred while processing the type conversion.

  Author:
    Pat Lightbody, Mike Mosiewicz, Rainer Hermanns, Alexandru Popescu

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.conversion.impl.DefaultTypeConverter

      `MILLISECOND_FORMAT`

    - ### Fields inherited from interface com.opensymphony.xwork2.conversion.TypeConverter

      `NO_CONVERSION_POSSIBLE, TYPE_CONVERTER_CONTEXT_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkBasicConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `convertValue(Map<String,Object> context, Object o, Member member, String propertyName, Object value, Class toType)` Converts the given value to a given type.
    `void` | `setContainer(Container container)`

    - ### Methods inherited from class com.opensymphony.xwork2.conversion.impl.DefaultTypeConverter

      `bigDecValue, bigIntValue, booleanValue, convertValue, convertValue, doubleValue, enumValue, getLocale, getTypeConverter, longValue, stringValue, stringValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XWorkBasicConverter

          public XWorkBasicConverter()

  - ### Method Detail

    - #### setContainer

          public void setContainer(Container container)

      Overrides:
        `setContainer` in class `DefaultTypeConverter`

    - #### convertValue

          public Object convertValue(Map<String,Object> context,
                            Object o,
                            Member member,
                            String propertyName,
                            Object value,
                            Class toType)

      Description copied from interface: `TypeConverter`
      Converts the given value to a given type. The OGNL context, target, member and name of property being set are given. This method should be able to handle conversion in general without any context, target, member or property name specified.
      Specified by:
        `convertValue` in interface `TypeConverter`
      Overrides:
        `convertValue` in class `DefaultTypeConverter`
      Parameters:
        `context` - context under which the conversion is being done
        `o` - target object in which the property is being set
        `member` - member (Constructor, Method or Field) being set
        `propertyName` - property name being set
        `value` - value to be converted
        `toType` - type to which value is converted
      Returns:
        Converted value of type toType or TypeConverter.NoConversionPossible to indicate that the conversion was not possible.

Copyright © 2000–2019 Apache Software Foundation. All rights reserved.